Bug 205031 - Review Request: python-telepathy - Python libraries for Telepathy
Review Request: python-telepathy - Python libraries for Telepathy
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sander Hoentjen
Fedora Package Reviews List
:
: 205066 (view as bug list)
Depends On:
Blocks: FE-ACCEPT 205343
  Show dependency treegraph
 
Reported: 2006-09-02 14:06 EDT by Brian Pepple
Modified: 2010-07-21 01:02 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-08 09:52:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2006-09-02 14:06:33 EDT
Spec URL: http://piedmont.homelinux.org/fedora/telepathy/python-telepathy.spec
SRPM URL: http://piedmont.homelinux.org/fedora/telepathy/python-telepathy-0.13.2-1.src.rpm
Description: Python libraries for use in Telepathy clients and connection managers.
Comment 1 Brian Pepple 2006-09-03 09:14:42 EDT
*** Bug 205066 has been marked as a duplicate of this bug. ***
Comment 2 Sander Hoentjen 2006-09-03 09:42:54 EDT
Spec file is basically the same as I had, only you used the correct naming for
Fedora. Also the URL *could* be changed to
http://telepathy.freedesktop.org/wiki/TelepathyPython but that doesn't really
matter.
I also had the examples packaged under docs, but I am not even sure if that is a
good thing.
I would approve, but I am still not in fedorabugs so I'll leave the review part
until i am, maybe someone else will pick up before then.
Comment 3 Sander Hoentjen 2006-09-08 07:03:15 EDT
GOOD
- package meets naming and packaging guidelines.
- specfile is properly named, is cleanly written and uses macros consistently.
- dist tag is present.
- build root is correct.
- license field matches the actual license.
- license is open source-compatible.  License text included in package.
- source files match upstream: 39a07295c78699da6efc1e4638c53688
- BuildRequires are proper.
- package builds in mock (x86_64).
- rpmlint is silent.
- final provides and requires are sane:
 python-telepathy-0.13.2-1.fc6.noarch.rpm
  python-telepathy = 0.13.2-1.fc6
 =
  python(abi) = 2.4
- no shared libraries are present.
- package is not relocatable.
- owns the directories it creates.
- doesn't own any directories it shouldn't.
- no duplicates in %files.
- file permissions are appropriate.
- %clean is present.
- no scriptlets present.
- code, not content.
- documentation is small, so no -docs subpackage is necessary.
- %docs are not necessary for the proper functioning of the package.
- no headers.
- no pkgconfig files.
- no libtool .la droppings.
- not a GUI app.
- not a web app.

APPROVED
Comment 4 Brian Pepple 2007-10-12 12:51:39 EDT
Package Change Request
======================
Package Name: python-telepathy
New Branches: F-8
Comment 5 Kevin Fenzi 2007-10-12 13:41:39 EDT
cvs done.
Comment 6 Brian Pepple 2008-11-10 09:35:56 EST
New Package CVS Request
=======================
Package Name: python-telepathy 
Short Description: Python bindings for Telepathy
Owners: morgan.collett@gmail.com, tomeu@tomeuvizoso.net 
Branches: OLPC-3
Comment 7 Kevin Fenzi 2008-11-10 12:02:01 EST
cvs done.
Comment 8 Peter Robinson 2010-06-10 16:32:25 EDT
Package Change Request
======================
Package Name: python-telepathy
New Branches: EL-6
Owners: pbrobinson sdz
Comment 9 Sebastian Dziallas 2010-07-20 19:30:24 EDT
Package Change Request
======================
Package Name: python-telepathy
New Branches: EL-6
Owners: pbrobinson sdz bpepple

I emailed Brian and he said that it would probably be better if someone else
maintained the EPEL branches, since he's not currently running any systems that
use EPEL. If you need additional confirmation, can you comment here please,
Brian? For background, we're interested in maintaining these in EPEL since they
are dependencies of the Sugar Environment, which we're trying to push into
EPEL.
Comment 10 Kevin Fenzi 2010-07-21 01:02:11 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.